1868a06383c9f7eba6bf1ca43a549b96bf2b1de8
[openwrt/staging/chunkeey.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_18 if TARGET_avr32
6 default BINUTILS_VERSION_2_18 if TARGET_ppc44x || TARGET_ppc40x
7 default BINUTILS_VERSION_2_17
8 help
9 Select the version of binutils you wish to use.
10
11 config BINUTILS_VERSION_2_17
12 bool "binutils 2.17"
13
14 config BINUTILS_VERSION_2_18
15 bool "binutils 2.18"
16
17 config BINUTILS_VERSION_2_19
18 depends !TARGET_avr32
19 bool "binutils 2.19"
20
21 endchoice
22
23 config EXTRA_BINUTILS_CONFIG_OPTIONS
24 string
25 prompt "Additional binutils options" if TOOLCHAINOPTS
26 default ""
27 help
28 Any additional binutils options you may want to include....
29
30 config BINUTILS_VERSION
31 string
32 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
33 default "2.17" if BINUTILS_VERSION_2_17
34 default "2.18" if BINUTILS_VERSION_2_18
35 default "2.19" if BINUTILS_VERSION_2_19
36 default "2.18" if TARGET_avr32
37 default "2.18" if TARGET_ppc44x || TARGET_ppc40x
38 default "2.17"